#include "bmud.h"
#include "tmp.h"

bmud *mud;

int main(int argc, char **argv){
	
	mud=g_malloc(sizeof(bmud)+1);
	mud->hist=g_malloc(sizeof(struct bmud_history)+1);
	mud->hist->size=0;
	mud->hist->max=20;
	mud->hist->cur=0;
	mud->hist->pos=0;
	mud->hist->cyclic=0;
	mud->hist->list=g_malloc(sizeof(gpointer)*(mud->hist->max+1));
	mud->disp_font_name="fixed";
	mud->lines=0;
	mud->maxlines=200*60;	/* roughly 60 bytes per line? */

	init(argc,argv);

	/* the gtk_rc_parse() stuff was here, but gnome_init() does it *shrug*/

	gtk_rc_parse("~/.bmud/gtkrc");	// FIX ME

	gtk_widget_realize(mud->window);
	spawn_gui();
		
	init_colors();

	mud->curr_color=color_white;

	gtk_widget_show(mud->window);
	
	gdk_window_set_background(GTK_TEXT(mud->text)->text_area,&color_black);
	gdk_window_set_background(GTK_TEXT(mud->stat)->text_area,&color_black);

		/**** this should be deleted eventually ****/
	gtk_text_insert(GTK_TEXT(mud->text),mud->disp_font, &color_white, NULL, STARTUP_MESSAGE,-1);
	
	gtk_main();
	
	return 0;
	}			
