#include "bmud.h"

GtkWidget *cs, *cm;
GdkColor color[8];

void colorsel_cancel(){
	gtk_widget_hide(cs);
	}

void colorsel_ok(GdkColor *color){
/*	g_free(color);
	gtk_color_selection_dialog_get_color(GTK_COLOR_SELECTION_DIALOG(cs),color);
*/
	colorsel_cancel();
	}
		

void show_colorsel(gdouble *x){
	cs=gtk_color_selection_dialog_new("Bmud color selector");
	gtk_color_selection_set_color(
		GTK_COLOR_SELECTION(GTK_COLOR_SELECTION_DIALOG(cs)->colorsel),
		x);
	gtk_signal_connect(GTK_OBJECT(GTK_COLOR_SELECTION_DIALOG(cs)->ok_button),"clicked",GTK_SIGNAL_FUNC(colorsel_ok),NULL);
	gtk_signal_connect(GTK_OBJECT(GTK_COLOR_SELECTION_DIALOG(cs)->cancel_button),"clicked",GTK_SIGNAL_FUNC(colorsel_cancel),NULL);
	gtk_widget_show(cs);
	}
	
void colorm_cancel(){
	gtk_widget_hide(cm);
	}

void colorm_ok(){
	color_grey=color[0];
	color_red=color[1];
	color_green=color[2];
	color_yellow=color[3];
	color_blue=color[4];
	color_purple=color[5];
	color_cyan=color[6];
	color_white=color[7];
	
	colorm_cancel();
	}

void show_colorm(){
	GtkWidget *hbox, *vbox, *button;

	color[0]=color_grey;
	color[1]=color_red;
	color[2]=color_green;
	color[3]=color_yellow;
	color[4]=color_blue;
	color[5]=color_purple;
	color[6]=color_cyan;
	color[7]=color_white;

	cm=gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_container_border_width(GTK_CONTAINER(cm),10);
	hbox=gtk_hbox_new(TRUE,10);	

	vbox=gtk_vbox_new(TRUE,10);
		button=gtk_button_new_with_label("Grey");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(show_colorsel),&color[0]);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
		button=gtk_button_new_with_label("Red");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(show_colorsel),&color[1]);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
		button=gtk_button_new_with_label("Green");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(show_colorsel),&color[2]);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
		button=gtk_button_new_with_label("Yellow");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(show_colorsel),&color[3]);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
	gtk_widget_show(vbox);
	gtk_container_add(GTK_CONTAINER(hbox),vbox);

	vbox=gtk_vbox_new(TRUE,10);
		button=gtk_button_new_with_label("Blue");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(show_colorsel),&color[4]);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
		button=gtk_button_new_with_label("Magenta");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(show_colorsel),&color[5]);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
		button=gtk_button_new_with_label("Cyan");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(show_colorsel),&color[6]);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
		button=gtk_button_new_with_label("White");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(show_colorsel),&color[7]);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
	gtk_widget_show(vbox);
	gtk_container_add(GTK_CONTAINER(hbox),vbox);

	vbox=gtk_vbox_new(FALSE,10);
		button=gtk_button_new_with_label("Load");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(show_colorsel),0);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
		button=gtk_button_new_with_label("Save");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(show_colorsel),0);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
		button=gtk_button_new_with_label("Defaults");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(show_colorsel),0);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
	gtk_widget_show(vbox);
	gtk_container_add(GTK_CONTAINER(hbox),vbox);

	vbox=gtk_vbox_new(TRUE,10);
		button=gtk_button_new_with_label("Ok");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(colorm_ok),NULL);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
		button=gtk_button_new_with_label("Save");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(show_colorsel),0);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
		button=gtk_button_new_with_label("Cancel");
			gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(colorm_cancel),NULL);
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
		button=gtk_button_new_with_label("Help");
			gtk_widget_show(button);
			gtk_container_add(GTK_CONTAINER(vbox),button);
	gtk_widget_show(vbox);
	gtk_container_add(GTK_CONTAINER(hbox),vbox);

	gtk_widget_show(hbox);
	gtk_container_add(GTK_CONTAINER(cm),hbox);



	gtk_widget_show(cm);
	}
	

	
